Yum update giving errors on CentOS 7.6.1810 (Core)

Issues related to applications and software problems
Post Reply
janvitos
Posts: 3
Joined: 2019/09/17 17:42:28

Yum update giving errors on CentOS 7.6.1810 (Core)

Post by janvitos » 2019/09/17 17:46:43

Hi,

Since today, I'm getting errors when running yum update on CentOS 7.6.1810 (Core).

Here's the errors I'm getting after running yum update:
Error: Package: libgs-9.25-2.el7_7.2.x86_64 (updates)
Requires: adobe-mappings-cmap
Error: Package: libgs-9.25-2.el7_7.2.x86_64 (updates)
Requires: adobe-mappings-cmap-deprecated
Error: Package: kernel-3.10.0-1062.1.1.el7.x86_64 (updates)
Requires: linux-firmware >= 20190429-72
Installed: linux-firmware-20180911-69.git85c5d90.el7.noarch (@base)
linux-firmware = 20180911-69.git85c5d90.el7
Error: Package: libgs-9.25-2.el7_7.2.x86_64 (updates)
Requires: adobe-mappings-pdf
Error: Package: libgs-9.25-2.el7_7.2.x86_64 (updates)
Requires: urw-base35-fonts
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
Everything had been running and updating smoothly ever since I deployed this server a few years ago, until today.

Any help is appreciated.

Thanks!
Last edited by janvitos on 2019/09/17 19:08:33, edited 3 times in total.

User avatar
avij
Retired Moderator
Posts: 3039
Joined: 2010/12/01 19:25:52
Location: Helsinki, Finland
Contact:

Re: Yum update giving errors on CentOS 7.6.1810 (Core)

Post by avij » 2019/09/17 18:24:37

Maybe you don't have the "base" repo enabled? What does your yum repolist say?

janvitos
Posts: 3
Joined: 2019/09/17 17:42:28

Re: Yum update giving errors on CentOS 7.6.1810 (Core)

Post by janvitos » 2019/09/17 19:07:22

The base repo is enabled.
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: mirror.layeronline.com
* epel: d2lzkl7pfhq30w.cloudfront.net
* extras: mirror.layeronline.com
* remi: mirror.team-cymru.com
* remi-php73: mirror.team-cymru.com
* remi-safe: mirror.team-cymru.com
* updates: mirror.layeronline.com
repo id repo name status
base/7/x86_64 CentOS-7 - Base 10,019
blackfire/7/x86_64 blackfire 4
digitalocean-agent/x86_64 DigitalOcean Agent 17
epel/x86_64 Extra Packages for Enterprise Linux 7 - x86_64 13,375+9
extras/7/x86_64 CentOS-7 - Extras 435
mariadb MariaDB 114+3
nginx/x86_64 nginx repo 3+584
nginx-amplify/x86_64 nginx amplify repo 0+97
remi Remi's RPM repository for Enterprise Linux 7 - x86_64 5,870
remi-php73 Remi's PHP 7.3 RPM repository for Enterprise Linux 7 - x86_64 326
remi-safe Safe Remi's RPM repository for Enterprise Linux 7 - x86_64 3,608
updates/7/x86_64 CentOS-7 - Updates 310
repolist: 34,081

User avatar
avij
Retired Moderator
Posts: 3039
Joined: 2010/12/01 19:25:52
Location: Helsinki, Finland
Contact:

Re: Yum update giving errors on CentOS 7.6.1810 (Core)

Post by avij » 2019/09/17 19:16:04

That 10,019 suggests it's slightly outdated. Try yum clean all and then yum update again.

janvitos
Posts: 3
Joined: 2019/09/17 17:42:28

Re: Yum update giving errors on CentOS 7.6.1810 (Core)

Post by janvitos » 2019/09/17 20:20:07

Should have thought about doing yum clean all.

Thank you so much, it worked!

Post Reply

Return to “CentOS 7 - Software Support”